# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='MaillingList',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('short_name', models.CharField(help_text=b'c\'est l\'identifiant qui servira \xc3\xa0 communiquer avec le syst\xc3\xa8me de mailling-list(typiquement, la partie avant le "@" dans l\'adress )', max_length=50, verbose_name=b'identifiant technique')),
                ('email', models.EmailField(max_length=254, verbose_name=b"adresse mail d'envoi")),
                ('verbose_name', models.CharField(help_text=b"Nom affich\xc3\xa9 dans l'interface membre", max_length=130, verbose_name=b'nom complet')),
                ('description', models.TextField()),
                ('subscribers', models.ManyToManyField(related_name='subscribed_maillinglists', verbose_name=b'abonn\xc3\xa9\xc2\xb7e\xc2\xb7s', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'liste mail',
                'verbose_name_plural': 'listes mail',
            },
        ),
    ]
